Bug 70657 - ifup-routes and static-routes do not use /sbin/ip
Summary: ifup-routes and static-routes do not use /sbin/ip
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts   
(Show other bugs)
Version: 7.3
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-08-03 10:35 UTC by Tony Nugent
Modified: 2014-03-17 02:29 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-14 06:03:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
discussion of the use of /sbin/ip in the ifup-routes script (8.60 KB, patch)
2002-08-03 10:49 UTC, Tony Nugent
no flags Details | Diff
some bash functions that are useful for manipulating routing policy (8.71 KB, text/plain)
2002-08-03 11:55 UTC, Tony Nugent
no flags Details

Description Tony Nugent 2002-08-03 10:35:55 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.0 (X11; Linux i686; U;) Gecko/20020509

Description of problem:
Please refer to the attachment, which is the text of an email
that I posted to redhat-devel mailing list in early August.
Summary:
(1) the ifup-routes script needs to be changed so that uses /sbin/ip.
(2) the format of sysconfig/static-routes needs changing to cope with 
1.
(3) a method for creating and preserving routing policy state needs to be
introduced. 
(4) the relevant redhat network config tools would need changing as a result.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.the static-routes file cannot be used to preserve complex routing information.
2.
3.
	

Actual Results:  inability to do src routing, configure multiple default routes,
ip policy state

Expected Results:  the redhat scripts need to be updated to cope with more
complex routing states.  My (small) changes to use /sbin/ip in the ifup-routes
script will add this enhancement.

Additional info:

Lots of suggestions in the attachment

Comment 1 Tony Nugent 2002-08-03 10:49:21 UTC
Created attachment 68704 [details]
discussion of the use of /sbin/ip in the ifup-routes script

Comment 2 Tony Nugent 2002-08-03 11:55:29 UTC
Created attachment 68706 [details]
some bash functions that are useful for manipulating routing policy

Comment 3 Bill Nottingham 2003-01-14 06:03:53 UTC
This was done for 8.0 differently.


Note You need to log in before you can comment on or make changes to this bug.